#include "ht.h"

int is_dep_known(const char *name);
int require(const char *name, int logdepth, int fatal);
const char *dep_add(const char *name, int (*finder)(int logdepth, int fatal));
void require_all(int fatal);


/* for internal use */
void dep_init(void);
void dep_uninit(void);

